/*wikitable by @limegreen on neocities. a link is appreciated!*/


/*to change the fonts here, go to google fonts, find ones you'd like, and use the @import snippet*/
@import url('https://fonts.googleapis.com/css2?family=Atkinson+Hyperlegible:ital,wght@0,400;0,700;1,400;1,700');

/*example styles*/


/*global colors. change here to see the effect*/
:root {
  --backgroundcolor: grey;
  --textcolor: #2b2b2b;
  --header:#969696;
  --main: white;
  --footer: #eaecf0;
  --borders: #454545;

  /*links*/
  --link: blue;
  --linkhover: purple;
  
  /*headings*/
  --breadcrumb: grey;
  --h1: #2b2b2b;
  --h2: #2b2b2b;
  --h3: #2b2b2b;
  --headerunderline: grey;
  
  /*boxes*/
  --quotebackground:grey;
  --quotetext: #2b2b2b;
  --boxbg: #bfbfbf;
  --showcontentborder:grey;
  
  --seriesofbg:#bfbfbf;
  --seriesoftext:#2b2b2b;
  
  /*infotable*/
  --infoboxbg:#eaecf0;
  --centertext:#bdbdbd;
  --boldtext:#2b2b2b;
  --infotext:#2b2b2b;
}
body {
  background-color: var(--backgroundcolor);
  font-family: Atkinson Hyperlegible;
  font-size: 0.969rem;
  color: var(--textcolor);
  /*container*/
  min-height: 100vh;
  margin: auto;
  width: 85%;
  border: 0.125rem solid var(--borders);
  margin-top: 0.95rem;
  margin-bottom: 0.95rem;
}
/*main content*/
main {
  padding: 0.95rem;
  background: var(--main);
  min-height: 100vh;
  clear: left;
}
/*links*/
a {
 color: var(--link); 
}
/*link hover*/
a:hover {
  text-shadow: 0 0 0.063rem;
  color: var(--linkhover);
  text-decoration: underline;
}
/*breadcrumbs*/
.breadcrumb {
  color: var(--breadcrumb);  
}
header {
  height: 6.25rem;
  border-bottom: 0.125rem solid var(--borders);
  background: var(--header);
}
/*prevent image overflow*/
main img {
  max-width: 100%;
}
/*footer*/
footer {
  background: var(--footer);
  padding: 2.188rem;
  border-top: 0.125rem solid var(--borders);
  text-align: center;
}
/*headers*/
h1, h2, h3 {
  overflow: hidden;
  border-bottom: 0.125rem solid var(--headerunderline); 
}
h2 {
  font-size: 19pt;
}
h3 {
  font-size: 16pt;
}
/*table of contents*/
.showcontent {
  padding: 0.188rem;
  font-weight: bold;
}
.contents {
  background-color: var(--boxbg);
  width: 12.25rem;
  padding: 0.438rem;
  border: 0.125rem solid var(--showcontentborder);
}
/*this changes the dropdown to a hamburger menu for desktop screens*/
.toc summary {
  list-style-type: '☰ ';
}
.toc ul {
  list-style: none;
  margin-left: -1.875rem;
}
/*quotes*/
.quotebox {
  width: 30%;
  background-size: cover;
  font-style: italic;
  padding: 0.625rem;
  padding: 0.813rem;
  border-left: solid;
  background-color: var(--quotebackground);
  color: var(--quotetext);
}
/*series of*/
.revealsummary {
  text-align: center;
  background-color: var(--seriesofbg);
  padding: 0.625rem;
  font-weight: bold;
  border: 0.125rem solid var(--showcontentborder);
}
.reveal {
  text-align: center;
  background-color: var(--seriesofbg);
  padding: 0.313rem;
  width: 50%;
  border: 0.125rem solid var(--showcontentborder);
  color: var(--seriesoftext);
}
/*flair*/
#flair::before {
  background-size: cover;
  background-size: 1.563rem 1.563rem;
  display: inline-block;
  width: 1.875rem;
  height: 1.25rem;
  margin-left: 0.25rem;
  content:"⚶";
}
/*flair with image- delete above if using. you will need to play with the width and height to make it fit properly*/
/*
#flair::before {
  background-image: url('https://i.ibb.co/SwkXQjP/itsalime.png');
  background-size: cover;
  background-size: 1.25rem 1.563rem;
  display: inline-block;
  width: 1.25rem;
  height: 1.25rem;
  margin-left: 0.25rem;
  content: " ";
}
*/
/*infotable*/
.infotable {
  float: right;
  margin-left: 0.313rem;
  background: var(--infoboxbg);
  border-left: 0.125rem solid var(--borders);
  border: 0.125rem solid var(--borders);
  width: 21%;
  font-size: 0.875rem;
  color: var(--infotext);
}
.infotable img {
  max-width: 100%;
  margin: auto;
}
.infotable th {
  text-align: left;
  padding: 0.313rem;
  color: black;
}
.infotable ul {
  list-style: none;
  padding: 0rem;
  margin: 0.25rem;
}
#centertext {
  text-align: center;
  background: var(--centertext);
}
/*clear float after infobox*/
#clear::after {
  content: "";
  clear: both;
  display: table;
}

/*responsiveness*/

/*narrow*/
@media(max-width: 900px) {
  .infotable{
    width: 30%;
  }
    .wrapper{
    width: 100%;
  }
      .chapters{
    width: 50%;
  }
  .reveal{
    width: 60%;
  }
  }  
/*medium*/
@media(max-width: 1250px) {
  .infotable{
    width: 35%;
  }
   .contents{
    width: 40%;
  }
  }  

/*mobile */
@media(orientation: portrait) {
  .quotebox{
    width: 90%;
    margin: auto;
    padding: 15px;
    margin-top: 10px;
  }
  body{
    margin-top: 0px;
  }
   .infotable{
    width: 100%;
     margin-bottom: 20px;
  }
 
  .wrapper{
    width: 95%;
  }
    .chapters{
    width: 50%;
  }
  .main{
    padding-top: 20px;
  }
  .contents{
    width: 95%;
  }
   .reveal{
    width: 95%;
  }
}